Bug 1024914 - JMX statistics for Queries partially doesn't work
JMX statistics for Queries partially doesn't work
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1017190
  Show dependency treegraph
 
Reported: 2013-10-30 11:06 EDT by Martin Gencur
Modified: 2013-12-06 07:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3335 Critical Resolved JMX statistics for Queries partially doesn't work 2013-12-06 07:37:11 EST

  None (edit)
Description Martin Gencur 2013-10-30 11:06:30 EDT

    
Comment 2 JBoss JIRA Server 2013-11-25 11:22:27 EST
Adrian Nistor <anistor@redhat.com> made a comment on jira ISPN-3335

This seems to be caused by a bug in the way MutableSearchFactory of Hibernate Search is reconfigured when new indexable classes are found in cache. A new copy of the factory is created and all configs are copied from the previous. The statistics object is not (including the enable statistics flag) - this was overlooked maybe. This can be immediately worked around in Infinispan by reimplementing the query statistics mbean to not rely on it being copied during search factory reconfiguration, as the original one does. But this is a messy workaround, so I'll file an issue on Hibernate Search and see when can they provide a proper fix.
Comment 3 JBoss JIRA Server 2013-11-25 11:22:35 EST
Adrian Nistor <anistor@redhat.com> updated the status of jira ISPN-3335 to Coding In Progress
Comment 4 JBoss JIRA Server 2013-12-02 07:58:58 EST
Adrian Nistor <anistor@redhat.com> made a comment on jira ISPN-3335

Created an issue on Hibernate Search: https://hibernate.atlassian.net/browse/HSEARCH-1461

For now we'll do our own workaround until Hibernate Search fixes it.
Comment 5 JBoss JIRA Server 2013-12-02 13:20:59 EST
Adrian Nistor <anistor@redhat.com> made a comment on jira ISPN-3335

Added ISPN-3782 to track a proper fix later.
Comment 6 JBoss JIRA Server 2013-12-02 17:45:18 EST
Adrian Nistor <anistor@redhat.com> made a comment on jira ISPN-3335

Integrated in master
Comment 7 Vojtech Juranek 2013-12-06 07:37:03 EST
Verified with JDG_6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.